org.apache.ignite.internal.processors.security

## Interface SecurityContext

    public interface SecurityContext

Security context.

### Method Summary

Methods
`boolean` `cacheOperationAllowed(String cacheName, SecurityPermission perm)` Checks whether cache operation is allowed.
`SecuritySubject` `subject()`
`boolean` `systemOperationAllowed(SecurityPermission perm)` Checks whether system-wide permission is allowed (excluding Visor task operations).
`boolean` `taskOperationAllowed(String taskClsName, SecurityPermission perm)` Checks whether task operation is allowed.

### Method Detail

#### subject

    SecuritySubject subject()

Returns:
  Security subject.

#### taskOperationAllowed

    boolean taskOperationAllowed(String taskClsName,
                               SecurityPermission perm)

Checks whether task operation is allowed.

Parameters:
  `taskClsName` - Task class name.
  `perm` - Permission to check.
Returns:
  `True` if task operation is allowed.

#### cacheOperationAllowed

    boolean cacheOperationAllowed(String cacheName,
                                SecurityPermission perm)

Checks whether cache operation is allowed.

Parameters:
  `cacheName` - Cache name.
  `perm` - Permission to check.
Returns:
  `True` if cache operation is allowed.

#### systemOperationAllowed

    boolean systemOperationAllowed(SecurityPermission perm)

Checks whether system-wide permission is allowed (excluding Visor task operations).

Parameters:
  `perm` - Permission to check.
Returns:
  `True` if system operation is allowed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016